1. Приветствуем Вас на неофициальном форуме технической поддержки XenForo на русском языке. XenForo - новый и перспективный форумный движок от бывших создателей vBulletin.

Обновление с 1.0.0 -> 1.0.4

Тема в разделе "Для новичков", создана пользователем CrossX, 3 сен 2011.

Загрузка
  1. CrossX

    CrossX Активный пользователь

    Регистрация:
    29.06.11
    Сообщения:
    8
    Симпатии:
    1
    Версия XF:
    1.1.2
    Приветствую! Уже не первый час бьюсь над задачей как же обновить форум, но не получается и все.

    В процессе предлагает удалить все из базы, разумеется я не отмечаю галку
    XenForo is already installed in your database. Continuing will remove all XenForo-related data from your database!
    Remove all XenForo-related data, including posts and users

    затем возникает ошибка:

    Error
    You cannot proceed unless all XenForo database tables are removed.

    И вообще можно ли так обновлять? Или нужно последовательно 1.0.0 -> 1.0.1 -> 1.0.2 -> 1.0.3 -> 1.0.4
    Хочется сохранить всю информацию и структуру которая есть. Модов, плагинов, стилей и прочих доработок нет.
     
  2. TAIFUN

    TAIFUN Человек

    Регистрация:
    27.09.10
    Сообщения:
    2.121
    Симпатии:
    1.560
    Версия XF:
    1.5.9
    Попробуйте последовательно.
     
  3. CrossX

    CrossX Активный пользователь

    Регистрация:
    29.06.11
    Сообщения:
    8
    Симпатии:
    1
    Версия XF:
    1.1.2
    Это догадка или проверенный способ?
     
  4. TAIFUN

    TAIFUN Человек

    Регистрация:
    27.09.10
    Сообщения:
    2.121
    Симпатии:
    1.560
    Версия XF:
    1.5.9
    Это совет.
    Я всегда обновляю форумы вовремя, с таким большим шагом обновления версий сталкивался только при обновлении булки и WP.
     
  5. CrossX

    CrossX Активный пользователь

    Регистрация:
    29.06.11
    Сообщения:
    8
    Симпатии:
    1
    Версия XF:
    1.1.2
    Попробовал с 1.0.0 -> 1.0.1
    все-равно выскакивает ошибка:

    Error You cannot proceed unless all XenForo database tables are removed.

    В чем еще может быть проблема? Гуглил, но ничего конкретного не нашел.
     
  6. TAIFUN

    TAIFUN Человек

    Регистрация:
    27.09.10
    Сообщения:
    2.121
    Симпатии:
    1.560
    Версия XF:
    1.5.9
    Сделайте дамп файлов и базы, разверните на локалке или другом сервере, обновите, сделайте дамп и разверните его на своём первоначальном сервере.
     
  7. infis

    infis Местный Команда форума

    Регистрация:
    27.06.11
    Сообщения:
    5.525
    Симпатии:
    3.322
    Версия XF:
    1.5.9
    А это точно обновление, а не установка? При обновлении просто не должно предлагаться удалять все данные, так как они уже имеются. А вот при установке как раз должно быть предложено удалить все, чтобы продолжить. Получается, что по какой-то причине у Вас происходит не обновление, а инсталляция.
     
  8. CrossX

    CrossX Активный пользователь

    Регистрация:
    29.06.11
    Сообщения:
    8
    Симпатии:
    1
    Версия XF:
    1.1.2
    Я еще не разу не обновлял, но как мне кажется это все-таки действительно установка. Но я действую строго по инструкции:
    - залить новые файлы поверх старых
    - выставить для data и internal_data права 777
    - зайти по /install и пройти процесс апгрейда

    но вот на последнем шаге мне не предлагают двух вариантов "установка" или "обновление", только установка.
     
  9. Flanker

    Flanker Местный

    Регистрация:
    19.05.11
    Сообщения:
    155
    Симпатии:
    26
    Версия XF:
    1.2.2
    Буквально 20 минут назад обновился с 1.0.0 на 1.0.4

    1. Делаю бекап БД форума 1.0.0
    2. Удаляю все файлы, удаляю все таблицы в БД 1.0.0
    3. Заливаю чистый движок 1.0.4, инсталлирую его в старую БД (но она чистая)
    4. Опять удаляю все таблицы в БД
    5. Импортирую в эту БД мою бекапнутую базу от 1.0.0
    6. Захожу на форум — он предлагает апдейт до 1.0.4 (видимо он понял, что база не от 1.0.4 и предлагает её апдейтнуть), соглашаюсь.
    7. Импортирую русификацию для 1.0.4
    8. Радуюсь, что всё хорошо :)
     
  10. Romchik®

    Romchik® The Power of Dreams Команда форума

    Регистрация:
    26.09.10
    Сообщения:
    5.740
    Симпатии:
    5.269
    Версия XF:
    1.5.11
    Боже мой :)

    Апгрейд 1.0.0-1.0.4 ничем не отличается от апгрейда 1.0.0-1.0.1 или 1.0.3-1.0.4.
    Просто перезаливаете новые файл поверх старых. Права на папки у вас уже стоят, значит ничего трогать не нужно. Запускаете скрипт обновления - http://domen.ru/install/index.php?upgrade
    Следуете инструкциям обновления.

    Важно! Если вы видите сообщение
    Значит вы что-то делаете не так. Ни в коем случае не удаляйте базу!

    FAQ: Как обновить XenForo?
     
  11. Flanker

    Flanker Местный

    Регистрация:
    19.05.11
    Сообщения:
    155
    Симпатии:
    26
    Версия XF:
    1.2.2
    Я переносил форум с одного хостинга на другой, поэтому мне было проще на новом хостинге инсталлировать уже новый движок, потом импортнуть туда базу и апдейтнуть.

    Но и для обновления на текущем хостинге мой вариант тоже подойдёт :p
     
  12. Romchik®

    Romchik® The Power of Dreams Команда форума

    Регистрация:
    26.09.10
    Сообщения:
    5.740
    Симпатии:
    5.269
    Версия XF:
    1.5.11
    Подойдет, но это изврат. Шаги 2, 3, 4 и 5 вообще не нужны. Кроме части шага 3 - заливка новых файлов.
     
  13. CrossX

    CrossX Активный пользователь

    Регистрация:
    29.06.11
    Сообщения:
    8
    Симпатии:
    1
    Версия XF:
    1.1.2
    А разве install/upgrade.php существует? сразу скажу, что у меня нулы. Куча разных версий, но нигде такого файла нет. Может у них нет такой возможности.

    screen-capture-1.png
     
  14. Romchik®

    Romchik® The Power of Dreams Команда форума

    Регистрация:
    26.09.10
    Сообщения:
    5.740
    Симпатии:
    5.269
    Версия XF:
    1.5.11
    Это я ошибся.
    Должно быть /index.php?upgrade
    Поправил.
     
  15. Flanker

    Flanker Местный

    Регистрация:
    19.05.11
    Сообщения:
    155
    Симпатии:
    26
    Версия XF:
    1.2.2
    Можно просто заходить на /install, движок сам поймёт.
     
  16. CrossX

    CrossX Активный пользователь

    Регистрация:
    29.06.11
    Сообщения:
    8
    Симпатии:
    1
    Версия XF:
    1.1.2
    Cпасибо, все полуичлось! НО! Есть еще 2 принципиальных момента, которые мне надо было сделать:
    1) Должен быть файл install-lock.php в папке internal_data
    2) Должен быть файл сonfig.php в папке library (с верными настройками)
     
  17. TAIFUN

    TAIFUN Человек

    Регистрация:
    27.09.10
    Сообщения:
    2.121
    Симпатии:
    1.560
    Версия XF:
    1.5.9
  18. Saracen

    Saracen Активный пользователь

    Регистрация:
    26.06.11
    Сообщения:
    22
    Симпатии:
    0
    Версия XF:
    1.1.2
    Уже обновлялся, но не помню как делал, а найти не могу. Спрошу здесь.
    После обновления в админке появляется ссылка:
    Имеются шаблоны, которые могут быть устаревшими. Нажмите здесь, чтобы просмотреть их.
    Что там нужно выбирать? Сохранить изменения или Вернуть шаблон.
     
  19. CyberAP

    CyberAP Местный

    Регистрация:
    05.10.10
    Сообщения:
    2.577
    Симпатии:
    1.614
    Версия XF:
    1.5.10
    Если вы не разработчик то с ними ничего делать не надо. Дождитесь обновления стиля где эти шаблоны устарели. А если вы вносили сами изменения в эти шаблоны, то вам придётся брать сначала оригинальный шаблон из Мастер-стиля (появится когда включён режим отладки), затем ваш устаревший шаблон. Их сравниваете и переносите все изменения в ваш новый шаблон, с сохранением ваших правок.
     
    ozi нравится это.
  20. Saracen

    Saracen Активный пользователь

    Регистрация:
    26.06.11
    Сообщения:
    22
    Симпатии:
    0
    Версия XF:
    1.1.2
    Случайно удалил его. Теперь предлагает инсталлировать заново. Подскажите что должно быть в этом файле.
     

Поделиться этой страницей